/**
Theme Name: Dyranomics
Author: Brainstorm Force
Author URI: http://wpastra.com/
Description: Child theme for Astra, A very lightweight and beautiful theme made to work with Page Builders.
Version: 1.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/



/* .page-id-1322 {
    background: #330D0E;
} */

.page-id-1322 header.entry-header {
    display: none;
}


p.don_comment {
    font-size: 14px !important;
    line-height: 22px;
}



.donation_wall_screen {
    justify-content: center;
    display: flex;
    gap: 0px;
    flex-wrap: wrap;
    align-items: start;
    flex-direction: column;
}


.donation_wall_screen .donation_row {
    width: 100%;
    display: none;
    gap: 20px;
    justify-content: center;
}


.don_popup i.fa.fa-times {
    cursor: pointer;
    pointer-events: all;
    position: relative;
    top: -61px;
    right: 22px;
    background: black;
    color: white;
    padding: 10px 10px;
    border-radius: 100px;
    font-size: 16px;
}

a.readmore_donation {
    text-decoration: none !important;
    color: yellow;
    font-size: 13px;
}

/*.donor_top {*/
/*    padding:20px 0;*/

/*}*/

.donation_donor {
    overflow: hidden;
    position: relative;
    width: 32%;
    transition: display 2s allow-discrete;
    flex: 0 0 32%;
    margin: 0;
    padding: 0px 22px;
}

.donation_donor h3 {
    font-size: 20px;
    font-weight: bold;
    margin: 0;
    line-height: 40px;
    color: white;
}


.donor_top {
    padding: 40px 0 0px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.donor_top .donation_donor h5 {
    display: contents;
    line-height: 24px;
    margin: 0;
    font-size: 16px;
    font-weight: 600;
    color: #f38b23;
    width: fit-content;
    margin-bottom: 8px;
}


.don_popup {
    transition: 0.5s ease all;
    background: #000000a6;
    position: fixed;
    top: 0;
    height: 100%;
    left: 0;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.don_popup .don_content {
    background: white;
    height: fit-content;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    padding: 60px 25px;
    border-radius: 10px;
    color: black;
}

.donation_donor p {
    font-weight: 500;
    font-size: 16px;
    margin: 0px;
    color: white;
}


/* .donation_wall_screen .donation_donor {
    display: none;

} */


.donation_wall_screen .donation_row.active {

    display: flex !important;
}

.donation_wall_screen .donation_donor {
    background-size: 100%;
    min-height: 186px;
    overflow: hidden;
    position: relative;
    transition: display 1s allow-discrete;
    display: block;
    background-repeat: no-repeat;
    background-position: center;
}

.load_more {
    display: block;
    width: 100%;
    text-align: center;
    margin: 20px 0;
}

span.don_date {
    float: right;
    color: #ffffff;
    width: 100%;
    padding: 0 0 20px 0;
    text-align: right;
    font-size: 10px;
    font-weight: 500;
}

.total_raised {
    text-transform: uppercase;
    text-align: center;
    font-size: 40px;
    font-weight: 600;
    color: #964C14;
    margin: 20px 0;
    font-family: 'Poppins';
}


.center_content {
    text-align: center;
    padding-bottom: 40px;
}

.center_content p {

    font-family: "Poppins";
    color: black;
    margin: 20px 0;
    font-size: 24px;
}

.center_content h2 {
    font-family: "Poppins";
    margin: 0px;
    letter-spacing: -2px;
    font-size: 72px;
    font-weight: 800;
    line-height: 80px;
    color: black;
    -webkit-text-stroke: 2px black;
}

.total_raised span {
    color: #964C14;
}


.give_listing .donation_wall_screen {
    gap: 10px;
    flex-direction: column;
}

span.donor_date {
    font-size: 10px;
    color: white;
    text-align: right;
    float: right;
}

.give_listing .donation_donor.active {
    /* box-shadow: 2px -2px 16px 2px #d3d3d396; */
    width: 100%;
}


/*Donation wall*/


.donation_wall_tracker h2 {
    font-weight: 400;
    letter-spacing: -2px;
    color: #964C14;
    font-size: 72px;
    margin: 0;
    line-height: 82px;
    font-family: 'Poppins';
}

.donation_progress_bar {
    overflow: hidden;
    height: 15px;
    width: 100%;
    background: #dddddd;
    border-radius: 10px;
}

.donation_progress_bar .progress {
    height: 15px;
    background: #bf711f;
    border-radius: 10px 0 0 10px;
}

.donation_wall_tracker p {
    font-weight: 400;
    margin: 0;
    color: #333333;
    letter-spacing: 1px;
    font-size: 24px;
    font-family: 'Poppins';
}


.donation_details {

    display: flex;
    justify-content: space-between;
    align-items: end;
    padding: 40px 0 30px 0
}

.donation_details img {

    width: 100%;
}

.dog_tail img {
    float: right;
    width: 50%;
}



/*End donation wall*/


@media (max-width:767px) {

    .donation_wall_screen {
        flex-direction: column;
    }

    .donation_wall_screen .donation_donor {
        width: 100%;
        overflow-x: scroll;
        min-height: 120px;
        padding: 0px 20px;
    }

    .center_content {

        padding-bottom: 20px;
    }

    .donation_row.active {
        gap: 0;
        flex-direction: column;
    }

    .total_raised {
        font-size: 26px;
        margin: 10px 0;
    }

    .don_popup i.fa.fa-times {
        top: -63px;
    }

    .don_popup .don_content {
        margin-left: 30px;
        padding: 25px;
    }


    .donation_donor {

        width: 31%;
        flex: 0 0 31%;
    }

    .donation_donor h5 {
        display: contents;
        line-height: 22px;
    }

    .donation_donor.active {
        height: 200px;
    }

    .donation_donor h3 {
        font-size: 18px;
        line-height: 26px;
    }

    .center_content h2 {

        -webkit-text-stroke: 0px;
        font-size: 36px;
        line-height: 50px;
        letter-spacing: -1px;
    }

    .donation_donor p {

        font-size: 14px;
    }

    p.don_comment {
        font-size: 12px !important;
        line-height: 18px;
    }

    .center_content p {
        font-size: 16px !important;
        margin: 10px 0;
    }


    .donation_details {
        padding: 20px 10px;
    }

    .donation_wall_tracker h2 {

        font-size: 40px;
    }

    .donation_wall_tracker p {

        font-size: 20px;
    }

    .donation_details .left_col {

        width: 80%;
    }

    .donation_details .right_col {

        width: 20%;
    }

    .donor_top {
        padding: 20px 0 0px 0;
    }

}


/* Ipad */

@media (min-width: 768px) and (max-width: 1024px) {

    .donor_top {
        flex-direction: column;
        justify-content: start;
        align-items: start;
        align-items: start;
    }

    .donation_donor {
        padding: 10px 10px;
        background-size: cover !important;
    }

    span.donor_date {
        padding: 10px 0 20px 0;
    }

    .center_content p {
        margin: 10px 0;
        font-size: 18px;
    }

    .center_content h2 {
        font-size: 48px;
    }

    .total_raised {
        margin: 20px 0 0 0px;
        font-size: 30px !important;
    }

    .center_content {
        padding: 0;
    }


}

/* 

add_action('give_donation_form_before_email', 'give_add_gift_field', 1);

function give_add_gift_field($form_id){

	$give_user_info = apply_filters('give_user_info_fields_user_info', _give_get_prefill_form_field_values( $form_id ), $form_id );
	$give_gift = ! empty( $give_user_info['give_gift_name'] ) ? $give_user_info['give_gift_name'] : '';


	?>	
	<div id="give-company-radio-list-wrap" class="form-row form-row-wide">
                    <label><?php
                        esc_html_e('Is this donation on behalf Of Your Friend?', 'give'); ?></label>
                    <ul id="<?php
                    echo esc_attr('give-gift-name-radio-list'); ?>" class="give-company-radio-list">
                        <li>
                            <input
                                checked
                                type="radio"
                                id="<?php
                                echo esc_attr('give-no-company'); ?>"
                                class="give_gift_option"
                                name="give_gift_option"
                                value="no"
                            />
                            <label for="<?php
                            echo esc_attr('give-no-company'); ?>" class="give-company-option"
                                   id="<?php
                                   echo esc_attr('give-no-company'); ?>">
                                <?php
                                esc_html_e('No', 'give'); ?>
                            </label>
                        </li>
                        <li>
                            <input
                                type="radio"
                                id="<?php
                                echo esc_attr('give-has-company'); ?>"
                                class="give_gift_option"
                                name="give_gift_option"
                                value="yes"
                            />
                            <label for="<?php
                            echo esc_attr('give-has-company'); ?>" class="give-company-option"
                                   id="<?php
                                   echo esc_attr('give-has-company'); ?>">
                                <?php
                                esc_html_e('Yes', 'give'); ?>
                            </label>
                        </li>
                    </ul>
                </div>

				<p id="give-company-wrap" class="form-row form-row-wide">
                <label class="give-label" for="give-company">
                  
                    <?php
                    echo Give()->tooltips->render_help(__('Donate on behalf of Company', 'give')); ?>
                </label>
               <textarea 
			   
			   name="give_gift_name"
                    placeholder="<?php
                    esc_attr_e('Gift Message', 'give'); ?>"
                    id="give-company"
                    value="<?php
                    echo esc_html($give_gift); ?>"
                    <?php
                    echo($give_gift ? ' required aria-required="true" ' : ''); ?>></textarea>
            </p>
<?php 
} */